Subject: How to resolve a link?
From: "David A. Cobb" <[email-masked]>
To: Cygwin Discussion <[email-masked]>
Date: Tue, 22 Jul 2003 21:23:13 -0400

Recently, I was trying to do "strace Xemacs . . ."
First I got a "No such file" error, so I changed to do "strace `which 
xemacs` " -- still a failure.

which xemacs returns "/usr/local/bin/xemacs.exe.lnk"; that is, my normal 
handle to launch xemacs is a symlink to the executable whose name or 
location varies with the version-number.

Given that its purpose is to locate what executable file one will use in 
a particular environment, should not 'which' resolve the symlink and 
return its target?
What would happen on *nix?

-- 
David A. Cobb, Software Engineer, Public Access Advocate
"By God's Grace I am a Christian man, by my actions a great sinner." -- The Way of a Pilgrim; R. M. French, tr.
Life is too short to tolerate crappy software.
.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/